Submit new fulfillment orders for processing. Orders will be validated and processed for warehouse fulfillment.
POST
/v1/orders
curl \
--request POST 'https://api.pattern.com/hub/v1/orders' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"orders": [
{
"market_order_id": "string",
"address_country": "string",
"address_line1": "string",
"address_line2": "string",
"address_line3": "string",
"buyer_email": "string",
"city": "string",
"shipping_carrier": "string",
"state": "string",
"ref1": "string",
"ref2": "string",
"order_source": "string",
"market_order_state": "string",
"marketplace": "string",
"order_placed_date": "string",
"latest_ship_date": "string",
"marketplace_updated_at": "string",
"country": "string",
"customer_order_number": "string",
"display_order_id": "string",
"shipment_service_level_category": "string",
"postal_code": "string",
"latest_delivery_date": "string",
"po_number": "string",
"sales_order_number": "string",
"ship_to_name": "string",
"shipment_service_level_as_requested": "string",
"order_recieved_date": "string",
"buyer_phone_number": "string",
"send_gift_note": true,
"gift_note": "string",
"market_order_items": [
{
"market_order_item_id": "string",
"sku": "string",
"quantity": 42,
"item_price": 42.0,
"item_tax": 42.0,
"is_cold": true
}
]
}
]
}'
Request examples
{
"orders": [
{
"market_order_id": "string",
"address_country": "string",
"address_line1": "string",
"address_line2": "string",
"address_line3": "string",
"buyer_email": "string",
"city": "string",
"shipping_carrier": "string",
"state": "string",
"ref1": "string",
"ref2": "string",
"order_source": "string",
"market_order_state": "string",
"marketplace": "string",
"order_placed_date": "string",
"latest_ship_date": "string",
"marketplace_updated_at": "string",
"country": "string",
"customer_order_number": "string",
"display_order_id": "string",
"shipment_service_level_category": "string",
"postal_code": "string",
"latest_delivery_date": "string",
"po_number": "string",
"sales_order_number": "string",
"ship_to_name": "string",
"shipment_service_level_as_requested": "string",
"order_recieved_date": "string",
"buyer_phone_number": "string",
"send_gift_note": true,
"gift_note": "string",
"market_order_items": [
{
"market_order_item_id": "string",
"sku": "string",
"quantity": 42,
"item_price": 42.0,
"item_tax": 42.0,
"is_cold": true
}
]
}
]
}
Response examples (422)
{
"errors": [
"string"
]
}
Response examples (200)
{
"received_orders": [
"string"
],
"erroneous_orders": [
{
"market_order_id": "string",
"errors": [
"string"
]
}
]
}